// components/chat-components/summary/map/map.ts

import { uuid } from '@/utils/uuid';
// var amapFile = require('@/libs/amap/amap-wx.130.js');//如：..­/..­/libs/amap-wx.js
Component({

  /**
   * 组件的属性列表
   */
  properties: {
    data: Object

  },

  /**
   * 组件的初始数据
   */
  data: {
    mapId: uuid()
  },

  /**
   * 组件的方法列表
   */
  methods: {
  },

  lifetimes: {

    ready() {
      setTimeout(() => {
        // var myAmapFun = new amapFile.AMapWX({key:'3627ed9deaac2622e26a7169f0c36b1b'});
        // return;
        let mapId = this.data.mapId;
        let mapContext = wx.createMapContext(mapId, this)
        if (this.data.data.maxx == null || this.data.data.maxy == null || this.data.data.minx == null || this.data.data.miny == null) {
          return;
        }
        mapContext.setBoundary({
          southwest: {
            longitude: this.data.data.minx,
            latitude: this.data.data.miny,
          },
          northeast: {
            longitude: this.data.data.maxx,
            latitude: this.data.data.maxy
          }
        })
      }, 300);


    }
  }
})